CorebanqCorebanq Developer Docs
Transactionsv1

List transactions

List transactions with optional filtering and pagination

GET
/v1/transactions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

status?string

Transaction status

type?string

Transaction type

customer_id.eq?string

Customer ID

sender__account__id.eq?string

Sender account ID

limit?integer

Number of records per page

offset?integer

Offset for pagination

sort?string

Field for sorting

stack?string

Stack for grouping

Response Body

application/json

curl -X GET "https://example.com/v1/transactions"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "sender": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "iban": "string",
        "avatar": "string",
        "type": "account",
        "customer": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "email": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        },
        "account": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "iban": "string",
          "currency": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        },
        "recipient": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "iban": "string",
          "bic": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        },
        "sender": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
          "iban": "string"
        },
        "amount": {
          "currency": "string",
          "amount": 0
        },
        "fee": {
          "currency": "string",
          "amount": 0
        },
        "tariff_id": "d82b8db6-f412-4b9c-8c5e-6a0221035c86",
        "fx_tariff_id": "f12d958c-c80c-4752-862c-9e0c09506488",
        "created_at": "2019-08-24T14:15:22Z",
        "modified_at": "2019-08-24T14:15:22Z"
      },
      "recipient": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "iban": "string",
        "avatar": "string",
        "type": "account",
        "customer": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "email": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        },
        "account": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "iban": "string",
          "currency": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        },
        "recipient": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "iban": "string",
          "bic": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        },
        "sender": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
          "iban": "string"
        },
        "amount": {
          "currency": "string",
          "amount": 0
        },
        "fee": {
          "currency": "string",
          "amount": 0
        },
        "tariff_id": "d82b8db6-f412-4b9c-8c5e-6a0221035c86",
        "fx_tariff_id": "f12d958c-c80c-4752-862c-9e0c09506488",
        "created_at": "2019-08-24T14:15:22Z",
        "modified_at": "2019-08-24T14:15:22Z"
      },
      "original_amount": {
        "currency": "string",
        "amount": 0
      },
      "description": "string",
      "scheduled_date": "string",
      "status": "incomplete",
      "channel": "string",
      "task_id": "736fde4d-9029-4915-8189-01353d6982cb",
      "task": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "description": "string",
        "status": "string",
        "assignees": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "email": "string"
          }
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "modified_at": "2019-08-24T14:15:22Z"
      },
      "transfers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482",
          "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
          "amount": {
            "currency": "string",
            "amount": 0
          },
          "type": "debit",
          "direction": "incoming",
          "created_at": "2019-08-24T14:15:22Z",
          "modified_at": "2019-08-24T14:15:22Z"
        }
      ],
      "tax": 0,
      "type": "iwt",
      "comply_advantage_meta": {
        "sender_transaction": {
          "datetime": "2019-08-24T14:15:22Z",
          "label": "string",
          "status": "string",
          "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
          "created_at": "2019-08-24T14:15:22Z",
          "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482"
        },
        "recipient_transaction": {
          "datetime": "2019-08-24T14:15:22Z",
          "label": "string",
          "status": "string",
          "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
          "created_at": "2019-08-24T14:15:22Z",
          "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482"
        }
      },
      "direction": "incoming",
      "value_date": "2019-08-24T14:15:22Z",
      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "has_more": true
}